com.sun.syndication.io.impl

## Class RSS10Generator

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedGenerator
  - - com.sun.syndication.io.impl.RSS090Generator
    - - com.sun.syndication.io.impl.RSS10Generator

All Implemented Interfaces:
  WireFeedGenerator

    public class RSS10Generator
    extends RSS090Generator

Feed Generator for RSS 1.0

### Constructor Summary

Constructors
`` `RSS10Generator()`
`protected` `RSS10Generator(java.lang.String feedType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkChannelConstraints(org.jdom.Element eChannel)`
`protected void` `checkImageConstraints(org.jdom.Element eImage)`
`protected void` `checkItemConstraints(org.jdom.Element eItem)`
`protected void` `checkItemsConstraints(org.jdom.Element parent)`
`protected void` `checkTextInputConstraints(org.jdom.Element eTextInput)`
`protected org.jdom.Namespace` `getFeedNamespace()`
`protected void` `populateChannel(Channel channel, org.jdom.Element eChannel)` Populates the given channel with parsed data from the ROME element that holds the channel data.
`protected void` `populateItem(Item item, org.jdom.Element eItem, int index)`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Generator

`addChannel, addImage, addItem, addItems, addTextInput, checkLength, checkNotNullAndLength, createDocument, createRootElement, generate, generateSimpleElement, getContentNamespace, getRDFNamespace, getTextInputLabel, populateFeed, populateImage, populateTextInput`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator

`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS10Generator

    public RSS10Generator()

#### RSS10Generator

    protected RSS10Generator(java.lang.String feedType)

### Method Detail

#### getFeedNamespace

    protected org.jdom.Namespace getFeedNamespace()

Overrides:
  `getFeedNamespace` in class `RSS090Generator`

#### populateChannel

    protected void populateChannel(Channel channel,
                                   org.jdom.Element eChannel)

Description copied from class: `RSS090Generator`
Populates the given channel with parsed data from the ROME element that holds the channel data.

Overrides:
  `populateChannel` in class `RSS090Generator`
Parameters:
  `channel` - the channel into which parsed data will be added.
  `eChannel` - the XML element that holds the data for the channel.

#### populateItem

    protected void populateItem(Item item,
                                org.jdom.Element eItem,
                                int index)

Overrides:
  `populateItem` in class `RSS090Generator`

#### checkChannelConstraints

    protected void checkChannelConstraints(org.jdom.Element eChannel)
                                    throws FeedException

Overrides:
  `checkChannelConstraints` in class `RSS090Generator`
Throws:
  `FeedException`

#### checkImageConstraints

    protected void checkImageConstraints(org.jdom.Element eImage)
                                  throws FeedException

Overrides:
  `checkImageConstraints` in class `RSS090Generator`
Throws:
  `FeedException`

#### checkTextInputConstraints

    protected void checkTextInputConstraints(org.jdom.Element eTextInput)
                                      throws FeedException

Overrides:
  `checkTextInputConstraints` in class `RSS090Generator`
Throws:
  `FeedException`

#### checkItemsConstraints

    protected void checkItemsConstraints(org.jdom.Element parent)
                                  throws FeedException

Overrides:
  `checkItemsConstraints` in class `RSS090Generator`
Throws:
  `FeedException`

#### checkItemConstraints

    protected void checkItemConstraints(org.jdom.Element eItem)
                                 throws FeedException

Overrides:
  `checkItemConstraints` in class `RSS090Generator`
Throws:
  `FeedException`